#ifndef WITHDRAW_A_H_
#define WITHDRAW_A_H_

// Author: Steve Talbot

#pragma once

using namespace std;

#include "Data.h"
#include "MDA_EFSM.h"
#include <iostream>

class withdraw_a {

public:
	withdraw_a();
	virtual ~withdraw_a();

	bool virtual withdraw( Data* data_, MDA_EFSM* M_ ) = 0;

};

#endif /*WITHDRAW_A_H_*/
